Import('RTT_ROOT')
Import('rtconfig')
from building import *

cwd = GetCurrentDir()

subdirs = ['drv_btn', 'battery_manager']
CPPPATH = [cwd] + [cwd + '/../' + d for d in subdirs]

CPPDEFINES = ['MBEDTLS_PLATFORM_MEMORY']

src = Glob('*.c')

group = DefineGroup('hcpu', src, depend = [''], CPPPATH = CPPPATH, CPPDEFINES = CPPDEFINES)

Return('group')
